<template>
  <div class="logo-wrapper">
      <img @click="back" class="back" v-show="!isWeb && imgType == 1" src="~@/images/annual/back-1.png" alt="">
      <img @click="back" class="back" v-show="!isWeb && imgType == 2" src="~@/images/annual/back-2.png" alt="">
      <img class="logo" v-show="imgType == 1" src="~@/images/annual/logo-1.png" alt />
      <img class="logo" v-show="imgType == 2" src="~@/images/annual/logo-2.png" alt />
  </div>
</template>
<script>
export default {
  props: {
    imgType: {
      type: Number | String,
      default: 1
    },
    backType: {
      type: Number | String,
      default: 1  // 1: H5返回; 2: 原生返回
    }
  },
  data() {
    return {
      isWeb: window.__isWeb,
    }
  },
  methods: {
    back() {
      if( backType == 1) {
        this.$router.back(-1);
      } else {
        rocNative.goBack();
      }
    }
  },
};
</script>
<style lang="less" scoped>
.logo-wrapper {
  position: relative;
  top: 0;
  left: 0;
  z-index: 1;
  padding-bottom: 80px;
  .back {
    position: absolute;
    top: 35px;
    z-index: 2;
    left: 8px;
    width: 20px;
    height: 29px;
    padding: 0 4px;
  }
  .logo {
    position: absolute;
    top: 30px;
    right: 30px;
    z-index: 2;
    display: block;
    width: 77px;
    height: 50px;
  }
}
</style>